<?php include('casa/setup.casa.php');
$CodigoTraspaso = DataForms::POST('CodigoTraspaso');		
$cmbUbicaciones = DataForms::POST('cmbUbicaciones');		

if(trim($cmbUbicaciones)==''){	
	echo '<script>$("#cmbUbicaciones").focus();</script>';
	exit();
} 
//Verificar si es el mismo destino de Traspaso
/*
if($cmbUbicaciones == $cmbUbicaciones2){	
	echo '<script>$("#cmbUbicaciones").focus();alert("El destino de Traspaso no puede ser el mismo!!!")</script>';
	exit();
} 
*/
//Seleccionar productos de la lista de traspasos
$Traspasos = new DB();
$sqlTraspasos = "SELECT * FROM inventarios_traspasos tras, inventarios_productos prod
WHERE tras.traspa_codigo = '$CodigoTraspaso'
AND tras.prod_codigo = prod.prod_codigo;";
$Traspasos->dbSQL($sqlTraspasos);
while($Traspasos->next()){
	$NuevoCodigoProd = substr(md5(uniqid()),1,7);
	$prod_codigo = $Traspasos->dbField('prod_codigo');
	$txtItem = $Traspasos->dbField('prod_item');
	$txtProducto = $Traspasos->dbField('prod_nombre');
	$txtPiezasCaja = $Traspasos->dbField('prod_piezascaja');
	$txtCantidadCajaOrig = $Traspasos->dbField('prod_cantidadcajas');	
	$txtCantidadCaja = $Traspasos->dbField('prod_cantidad');
		$NuevaCantidadCajas = $txtCantidadCajaOrig - $txtCantidadCaja;
	$txtPrecioUnitario = $Traspasos->dbField('prod_preciounitario');
	$txtPrecioDocena = $Traspasos->dbField('prod_preciodocena');
	$txtPrecioCajaDocena = $Traspasos->dbField('prod_preciocajadocena');
	$prod_unidadesreal = $Traspasos->dbField('prod_unidadesreal');

	//Calcular las unidades reales por las cajas  a traspasar
	//descontar las unidades
	$DescontarPiezas = $txtCantidadCaja * $txtPiezasCaja;
	$DescontarPiezas2 = $prod_unidadesreal - $DescontarPiezas;

	//Ejecutar el traspaso del producto a otro Almacen o deposito	
	$sql = Caresp(("INSERT INTO inventarios_productos(
		ubica_codigo,prod_item,prod_codigo,prod_traspaso,
		prod_nombre,prod_foto,prod_piezascaja,
		prod_cantidadcajas,prod_unidadesreal, prod_preciounitario,
		prod_preciodocena,prod_preciocajadocena
	)VALUES(
		'$cmbUbicaciones','$txtItem','$NuevoCodigoProd','traspaso',
		'$txtProducto','vacio','$txtPiezasCaja',
		'$txtCantidadCaja','$DescontarPiezas','$txtPrecioUnitario',
		'$txtPrecioDocena','$txtPrecioCajaDocena'
	);"));
	//Actualizar numero de cajas del Producto
	$sqlActualizar = "UPDATE inventarios_productos SET 
		prod_cantidadcajas = '$NuevaCantidadCajas',
		prod_unidadesreal = '$DescontarPiezas2'
	WHERE prod_codigo = '$prod_codigo';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->dbSQL($sqlActualizar);	
}
//actualizar tabla de traspasos con el origen y destino de almacen
$sqlTABTraspaso = "UPDATE inventarios_traspasos SET
	ubica_codigo = '$cmbUbicaciones'
WHERE traspa_codigo ='$CodigoTraspaso';";
$db->dbSQL($sqlTABTraspaso);	
//redireccionar
echo '<script>self.location="'.PATH_HOME.'traspasos-lista/ver";</script>';
?>